Summary:		Create, manage, and publish documentation for Yelp
Name:			yelp-tools
Version:		42.1
Release:       	3%{?dist}
License:       	GPLv2+
URL:			https://wiki.gnome.org/Apps/Yelp/Tools
Source0:       	https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig(yelp-xsl)
BuildRequires:	python3-lxml
BuildRequires:	itstool
BuildRequires:	libxslt
Requires:		mallard-rng python3-lxml yelp-xsl
Requires:		/usr/bin/itstool
Requires:		/usr/bin/xmllint
Requires:		/usr/bin/xsltproc
BuildArch:		noarch

%description
yelp-tools is a collection of scripts and build utilities to help create,
manage, and publish documentation for Yelp and the web. Most of the heavy
lifting is done by packages like yelp-xsl and itstool. This package just
wraps things up in a developer-friendly way.

%prep
%autosetup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING COPYING.GPL
%doc AUTHORS README.md NEWS
%{_datadir}/yelp-tools
%{_datadir}/aclocal/yelp.m4
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Xiaojie Chen <jackxjchen@tencent.com> - 42.1-1
- Initial build
